<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $fillable = ['category_id', 'name', 'part_code', 'compatible_models', 'description','image', 'price', 'is_active'];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function masterStock()
    {
        return $this->hasOne(MasterStock::class);
    }
}